package intrinsic.mx.events;

public class EffectEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.effects.IEffectInstance effectInstance;

	/** Constants */
	public static final String EFFECT_START = "effect_start";
	public static final String EFFECT_END = "effect_end";
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public EffectEvent() {
}

public EffectEvent(String arg0) {
}

public EffectEvent(String arg0, boolean arg1) {
}

public EffectEvent(String arg0, boolean arg1, boolean arg2) {
}

public EffectEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.effects.IEffectInstance arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
